Subject: Re: [bess] Benjamin Kaduk's Discuss on draft-ietf-bess-mvpn-expl-track-13: (with DISCUSS and COMMENT)

From: Benjamin Kaduk <[email-masked]>
Date: Sun, 2 Dec 2018 18:20:57 -0600

On Fri, Nov 30, 2018 at 04:23:36PM +0000, Eric Rosen wrote:
> On 11/29/2018 5:05 PM, Benjamin Kaduk wrote:
> > The updates in the -13 include new Updates headers for RFCs 7582 and 7900,
> > which may or may not call for additional IESG eyes on the changes.  Just from
> > looking at the diff, it's not entirely clear to me what about those documents is
> > being updated.
> 
> In Alvaro's comments, he explicitly asked me to put 7582 and 7900 in the 
> "Updates" header.
> 
> His reasoning was based on the the following text (which is unchanged 
> from the previous version) from Section 3:
> 
>     The rules for finding a "match for reception" in [RFC6625] are hereby
>     modified as follows:
> 
>        When applying the rules of Section 3.2.1 or 3.2.2 of [RFC6625], it
>        is REQUIRED to ignore any S-PMSI A-D route that has no PTA, or
>        whose PTA specifies "no tunnel information present".
> 
>     There are other RFCs that update [RFC6625] and that modify the rules
>     for finding a "match for reception".  See, e.g., [RFC7582] and
>     [RFC7900].  When applying those modified rules, it is REQUIRED to
>     ignore any S-PMSI A-D route that has no PTA, or whose PTA specifies
>     "no tunnel information present".

Ah, I see it now...

> Alvaro's comment was:
> 
> "This text is also Updating rfc7582 and rfc7900 (and others?) that Updated
> rfc6625.  This document should then be marked to Update those other RFCs
> explicitly."
> 
> This comment seems reasonable to me, but if you two would like to fight 
> it out, just let me know the resolution ;-)

...and apparently had completely forgotten about Alvaro's remark.

I'll go clear now, but will leave a mention of
https://mailarchive.ietf.org/arch/msg/ietf/-1u_1-peHKAmUDuLyGAJYu0fPCE for
reasons why one might want (or not want) to explicitly say things like
"this document Updates RFC XXXX by YYY".  As a non-blocking comment, of
course.

-Benjamin